Bug 6074 - Remove libdolphinprivate.so from kdebase4-devel package
: Remove libdolphinprivate.so from kdebase4-devel package
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 15:28 MSD by Andrey Bondrov
Modified: 2015-08-24 15:59 MSD (History)
2 users (show)

See Also:
RPM Package: kdebase4
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-08-18 15:28:06 MSD
We need to remove libdolphinprivate.so from kdebase4-devel package. This library is private and not used by anything.
Comment 1 Andrey Bondrov 2015-08-18 15:28:43 MSD
Advisory: "Remove libdolphinprivate.so from kdebase4-devel package"

https://abf.rosalinux.ru/build_lists/2553829
https://abf.rosalinux.ru/build_lists/2553830
Comment 2 FirstLevel 2015-08-20 13:53:14 MSD
Checking...
Comment 3 FirstLevel 2015-08-20 14:26:17 MSD
32bit

old package: 
r6-32 ~ # rpm -qil  kdebase4-devel | grep libdolphinprivate.so
/usr/lib/libdolphinprivate.so
r6-32 ~ # rpm -qa | grep  kdebase4-devel
kdebase4-devel-4.14.3-4-rosa2014.1.i586
r6-32 ~ # 

install old,  update - ok

new package:
r6-32 ~ # rpm -qa | grep  kdebase4-devel
kdebase4-devel-4.14.3-5-rosa2014.1.i586
r6-32 ~ # rpm -qil  kdebase4-devel | grep libdolphinprivate.so
r6-32 ~ # 

install new - ok



64bit

old package:
r6-64 ~ # rpm -qil  kdebase4-devel | grep libdolphinprivate.so
/usr/lib64/libdolphinprivate.so
r6-64 ~ # rpm -qa | grep kdebase4-devel
kdebase4-devel-4.14.3-4-rosa2014.1.x86_64
r6-64 ~ # 


install old, update -  ok

new package: 
r6-64 ~ # rpm -qa | grep kdebase4-devel
kdebase4-devel-4.14.3-5-rosa2014.1.x86_64
r6-64 ~ # rpm -qil  kdebase4-devel | grep libdolphinprivate.so
r6-64 ~ # 


install new - ok
Comment 4 Vladimir Potapov 2015-08-20 18:38:41 MSD
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2015-08-24 15:51:54 MSD
kdebase4-4.14.3-5
https://abf.rosalinux.ru/build_lists/2553829
https://abf.rosalinux.ru/build_lists/2553830
*************************** Advisory *****************************
Remove libdolphinprivate.so from kdebase4-devel package
******************************************************************
QA Verified